跳转到主要内容
GET
/
admin
/
reward
/
list
cURL
curl --request GET \
  --url 'https://app.teable.ai/api/admin/reward/list?spaceId=SOME_STRING_VALUE&sourceType=SOME_STRING_VALUE&status=SOME_STRING_VALUE&platform=SOME_STRING_VALUE&isValid=SOME_STRING_VALUE&search=SOME_STRING_VALUE&createdTimeFrom=SOME_STRING_VALUE&createdTimeTo=SOME_STRING_VALUE&page=SOME_INTEGER_VALUE&pageSize=SOME_INTEGER_VALUE' \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{
  "items": [
    {
      "id": "<string>",
      "space": {
        "id": "<string>",
        "name": "<string>"
      },
      "user": {
        "id": "<string>",
        "name": "<string>",
        "email": "<string>"
      },
      "status": "pending",
      "sourceType": "appSumoActivation",
      "amount": 123,
      "consumedAmount": 123,
      "remainingAmount": 123,
      "rewardTime": "<string>",
      "expiredTime": "<string>",
      "createdTime": "<string>",
      "sourceMetaData": null
    }
  ],
  "total": 123
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

查询参数

spaceId
string

Filter by space ID

sourceType
enum<string>

Filter by reward source type

可用选项:
appSumoActivation,
socialShare,
system
status
enum<string>

Filter by reward status

可用选项:
pending,
approved,
rejected
platform
enum<string>

Filter by social platform

可用选项:
x,
linkedin
isValid
enum<string>

Filter by verification result

可用选项:
true,
false

Search by postUrl, uniqueKey or userId

createdTimeFrom
string

Filter by created time from (ISO string)

createdTimeTo
string

Filter by created time to (ISO string)

page
integer
默认值:1
必填范围: x >= 1
pageSize
integer
默认值:20
必填范围: 1 <= x <= 100

响应

200 - application/json

Returns the paginated list of reward

items
object[]
必填
total
integer
必填
Last modified on March 5, 2026